import '/index'

describe('Array with 3 string fields', () => {
  const originalArray = ['a', 'b', 'c'];
  it('Without params may return the last value', () => {
    expect(originalArray.last()).toEqual('c');
  });

  it('With param 2 may return the last penultimate', () => {
    expect(originalArray.last(2)).toEqual('b');
  });
});

describe('Array with 6 int fields', () => {
  const originalArray = [1, 2, 3, 4, 5, 6];
  it('Without params may return the last value', () => {
    expect(originalArray.last()).toEqual(6);
  });

  it('With param 3 may return the 4th', () => {
    expect(originalArray.last(3)).toEqual(4);
  });
});